from flask import current_app as app

from cryptography.fernet import Fernet
from pathlib import Path

def load_key():
    data = Path(app.config.get('DATA'))
    with open(f'./{data}/.encryption.key', 'rb') as keyfile: return keyfile.read()

def decrypt(input:str):
    encryption_key = load_key()
    fernet = Fernet(encryption_key)
    input = input.encode()
    output = fernet.decrypt(input)
    return output.decode()

def encrypt(input:str):
    encryption_key = load_key()
    fernet = Fernet(encryption_key)
    input = input.encode()
    output = fernet.encrypt(input)
    return output.decode()
